Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Navigator.BaseEnumeration

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl
          net.sf.saxon.om.Navigator.BaseEnumeration

All Implemented Interfaces:
  AtomizableIterator, AxisIterator, SequenceIterator

Direct Known Subclasses:
  Navigator.AncestorEnumeration, Navigator.DescendantEnumeration, Navigator.FollowingEnumeration, Navigator.PrecedingEnumeration

Enclosing class:
  Navigator

public abstract static class Navigator.BaseEnumeration
extends AxisIteratorImpl

BaseEnumeration is an abstract implementation of an AxisIterator, it simplifies the implementation of the underlying AxisIterator by requiring it to provide only two methods: advance(), and getAnother()

Field Summary

Fields inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, position`

Constructor Summary
`Navigator.BaseEnumeration()`

Method Summary
`abstract void` | `advance()` The advance() method must be provided in each concrete implementation.
`abstract SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence
`Item` | `next()` Get the next item in the sequence.

Methods inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, isAtomizing, position, setIsAtomizing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.BaseEnumeration

    public Navigator.BaseEnumeration()

Method Detail

### next

    public final Item next()

  Description copied from interface: `AxisIterator`
  Get the next item in the sequence.

  Returns:
    the next Item. If there are no more nodes, return null.

### advance

    public abstract void advance()

  The advance() method must be provided in each concrete implementation. It must leave the variable current set to the next node to be returned in the iteration, or to null if there are no more nodes to be returned.

### getAnother

    public abstract SequenceIterator getAnother()

  Description copied from interface: `AxisIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence

  Returns:
    a new iterator over the same sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD